package cd.casic.ci.process.process.service.group;

import cd.casic.ci.process.dto.req.group.GroupAddReq;
import cd.casic.ci.process.dto.req.group.GroupListReq;
import cd.casic.ci.process.dto.req.group.GroupUpdateReq;
import cd.casic.ci.process.dto.resp.group.GroupListResp;
import cd.casic.ci.process.process.dataObject.pipgroup.PipGroup;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 *  流水线分组服务
 * */
public interface GroupService extends IService<PipGroup> {
    void addGroup(GroupAddReq req);
    void editGroup(GroupUpdateReq req);
    List<GroupListResp> listGroup(GroupListReq req);
    void deleteGroup(String id);
}
